package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

import java.util.List;

public class PortGroups {
    private Metadata metadata;
    private List<HostEthernetAdapterPortGroup> hostEthernetAdapterPortGroup;

    public PortGroups() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public List<HostEthernetAdapterPortGroup> getHostEthernetAdapterPortGroup() {
        return hostEthernetAdapterPortGroup;
    }

    public void setHostEthernetAdapterPortGroup(List<HostEthernetAdapterPortGroup> hostEthernetAdapterPortGroup) {
        this.hostEthernetAdapterPortGroup = hostEthernetAdapterPortGroup;
    }

    @Override
    public String toString() {
        return "PortGroups [metadata=" + metadata + ", hostEthernetAdapterPortGroup=" + hostEthernetAdapterPortGroup
            + "]";
    }
}
